import { SVGProps } from 'react'

const IconDamage = (props: SVGProps<SVGSVGElement>) => (
  <svg
    {...props}
    width={40}
    height={40}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
  >
    <mask
      id="a"
      style={{
        maskType: 'alpha'
      }}
      maskUnits="userSpaceOnUse"
      x={0}
      y={0}
      width={40}
      height={40}
    >
      <path fill="#C4C4C4" d="M0 0h40v40H0z" />
    </mask>
    <g mask="url(#a)">
      <path
        d="M33.785 32 14.03 37.292c-2.646.739-5.354-.861-6.093-3.507l-5.23-19.693C1.969 11.446 3.569 8.738 6.215 8L25.97 2.708c2.646-.739 5.354.861 6.093 3.507l5.292 19.754A4.962 4.962 0 0 1 33.784 32Z"
        fill="#E1E4F4"
      />
      <path
        d="M23.323 16.246s-1.23-1.17-1.169-1.846c.061-.677.246-1.046.615-.985.37.062.8.616.862.862 0 .246-.246.8 0 1.108.184.307.43.861-.308.861Z"
        fill="#EF3F54"
      />
      <path
        d="M16.492 22.4c-.061.184-.43 0-.738 1.23-.492.493-.615 1.17-.615 1.54v2.584c0 .554.184 1.046.553 1.477.185.184.924-.247 1.17-.123 2.03 1.169 4.246 2.276 4.246 2.276 1.169.677 1.784 1.724 3.138 1.724h1.108l1.046-8.062-9.908-2.646Z"
        fill="#57617F"
      />
      <path
        d="m15.631 24.923.37-.184c0-.985.307-1.785.307-1.785l1.292-1.17-1.23.616c-.062.185-.247 0-.554 1.23-.493.493-.616 1.17-.616 1.54v2.584s.246.061.246-.123c0-1.046.185-2.708.185-2.708Z"
        fill="#8698BF"
      />
      <path
        d="M27.446 11.038c-.8.431-1.477 1.046-2.092 1.723L21.6 17.07c-.246.308-.492.554-.8.739l-3.63 2.83c-.247.185.06.739-.062.985-.185.37-.8.615-.8 1.046l-.062.37c0 .245.985.984 1.292.369.247-.431 1.354 2.215 1.785 2.4l2.708-.247c.677.37-.431 1.908.369 1.785l3.077-.246a3.829 3.829 0 0 0 1.6-.554l3.754-2.154 2.154.677 3.077-3.877-3.508-13.17-5.108 3.016Z"
        fill="#BFC6F2"
      />
      <path
        d="m34.708 16.325-.123.061-1.662 4.739c-.554 1.6-1.662 2.892-3.077 3.754l-2.584 1.476c-.677.37-1.354.616-2.093.677 0 0-1.292.554-2.4 1.539l-.677 2.4c0 1.17.985 2.154 2.154 2.154h1.108c1.17 0 2.277-.308 3.323-.862l8.8-5.107c0-.37-.062-.8-.185-1.17l-2.584-9.661Z"
        fill="#8698BF"
      />
      <path
        d="m22.092 16.862 3.57-4.185c.184-.246.553-.246.8-.061.615.492 1.723 1.476 2.953 2.153 1.231.739 3.016 1.477 3.877 1.785.308.123.431.43.308.738l-1.97 4.985c-.184.43-.676.615-1.107.492-1.415-.553-4.246-1.723-5.846-2.646-1.23-.738-2.093-1.538-2.585-2.092-.307-.37-.307-.8 0-1.17Z"
        fill="#FDFDFD"
      />
      <path
        d="M23.57 30.092c-.124.247.615.739.615 1.108l-1.662-.061.923 1.846-2.338-1.108.985-2.646L25.662 28c0 .061-1.97 1.846-2.093 2.092Z"
        fill="#57617F"
      />
      <path
        d="M26.339 27.692c-.923.37-2.646.923-4.246.616l-1.17-1.293-3.2-.246L16 24.739s-.123-.924 0-1.908c0 0-.738 2.338-.061 2.83 0 .493.061.985.307 1.17l.739.369.554.8 2.769.923c.061 0 .061.061.123.061.738.37 1.354.677 1.538.8.247.123.308-.061.308-.369.43 0 1.17 0 2.277-.246.246-.061.862-.492 1.846-1.354.185-.061.062-.184-.061-.123ZM33.354 29.555l-.062-2.276-.492-.616h-1.846l-1.354.923c-1.17.8-1.969 2.093-1.969 3.63l-.37 1.17.124.43s.43-.122.861-.368l.062.061 1.292.663.185-.663c.8-.492 1.477-1.169 1.846-2.03.923-.493 1.723-.924 1.723-.924Z"
        fill="#2B2E3A"
      />
      <path
        d="M27.385 32.8s1.046-5.046 3.938-5.908c2.893-.861 1.6 2.893 1.6 2.893l.862-.493s.554-4-2.462-3.015c-3.877 1.23-5.046 6.77-5.046 6.77.37.122.8-.062 1.108-.247Z"
        fill="#BFC6F2"
      />
      <path
        d="m15.877 27.57 6.215 3.569c.431.984.8 1.6.8 1.6-.492.123-1.046-.554-1.477-.677-.43-.123-5.169-2.031-5.169-2.031-.43-.308-.8-.923-.923-1.17.061-.43.554-1.292.554-1.292Z"
        fill="#2B2E3A"
      />
      <path
        d="M21.908 17.785c-.37.492-.677.984-1.046 1.477-.308.492-.677.984-.985 1.476-.37.493-.738.985-1.108 1.416l-.369.37c-.123.122-.37.184-.554.122-.184-.061-.308-.123-.43-.184 0 0-.062 0-.062.061 0 .062 0 .123-.062.246 0-.061-.061-.123-.061-.246V22.4c0-.061.123-.123.184-.123.185 0 .308.061.431.061s.185-.061.246-.123c.062-.061.185-.246.247-.369.307-.492.677-.984.984-1.538.37-.493.739-.985 1.108-1.416.492-.369.923-.8 1.477-1.107ZM29.97 22.769c-.8.615-1.785 1.108-2.77 1.477-.492.185-.985.37-1.477.492-.492.123-1.046.246-1.415.431l.061-.061c-.246.307-.43.615-.677.861l-.061.062h-.062c-.369-.062-.738-.123-1.046-.247.37-.061.739-.061 1.108-.061l-.123.061c.184-.307.369-.676.554-.984v-.062l.061-.061c.492-.308.985-.431 1.477-.616.492-.184.985-.307 1.477-.43l2.892-.862Z"
        fill="#8698BF"
      />
      <path
        d="M34.093 21.415c-.124.37.307.616.615.431l1.354-.861-.923-3.139c-.062.123-.123.246-.123.37l-.923 3.2Z"
        fill="#F97A7A"
      />
      <path
        d="M24.062 29.97s.307.738.923.8c.615.06.738-1.293.738-1.293l-1.661.492Z"
        fill="#57617F"
      />
      <path
        d="M16.123 27.385c-.738-.554-1.415-.062-1.6.184l-.677-1.415.062-1.416c-.123-.122.308-1.107.184-1.23-.369-.37-.492-1.293-.492-1.293-.8-.615-1.661-1.169-2.646-1.846 0 0-1.846-3.815-2.83-4.861-.985-1.046-4.124-2.954-5.54-3.816-.122.8-.122 1.6.124 2.4l4.615 17.17 9.539-2.216-.739-1.661Z"
        fill="#FFD385"
      />
      <path
        d="M16.8 30.585v-1.539l-1.107-.554.43-1.107c-.307-.062-.369-.062-.369-.37-.43-.553-1.23-.615-1.292-.861-.185-.615-.185-2.4-.37-2.646l-1.046 1.354.862 1.292s-.062.37-3.2 2.154c-.923.554-2.462 1.292-3.692 1.846L8 33.784c.246.985.8 1.785 1.477 2.4l6.154-3.569a2.301 2.301 0 0 0 1.17-2.03Z"
        fill="#FFB75E"
      />
      <path
        d="m9.17 32.554 3.446-1.97c.184-.122.492 0 .492.247v2.03c0 .185-.123.37-.308.493l-3.446 1.97c-.185.122-.492 0-.492-.247v-2.03c0-.247.123-.431.307-.493ZM15.077 30.462c.554-.862 1.723-1.416 1.723-1.416v1.108c0 .492-.246.923-.677 1.17l-1.23.676c-.247.123-.493-.061-.431-.369.184-.308.369-.8.615-1.17Z"
        fill="#57617F"
      />
      <path
        d="M15.077 30.462c.123-.247.308-.431.554-.616l-.308.8.308.431.615-1.17.062.431.492-.184c0 .492-.246.923-.677 1.17l-1.23.676c-.247.123-.493-.061-.431-.37.184-.307.369-.8.615-1.168ZM8.616 17.108c-.308-.492-.924-.615-1.416-.37l-3.323 1.909 1.354 4.984 5.23-2.954a27.749 27.749 0 0 0-1.845-3.569Z"
        fill="#F97A7A"
      />
      <path
        d="M14.77 27.754c.122-.123.86-.061.984-.8l-8.37 4.739.37 1.292 7.384-4.246-.369-.985Z"
        fill="#FFD385"
      />
      <path
        d="m15.323 27.139.43-.123.37.369-.308.492-2.461.923 1.046-1.292.923-.37Z"
        fill="#57617F"
      />
      <path
        d="m15.385 28-1.354.246.615-.43-.246-.308-7.384 2.707.184.8 6.031-2.215 2.154-.8Z"
        fill="#EF3F54"
      />
      <path
        d="m7.939 29.908.246.8L13.23 28.8l.492-1.046-5.784 2.154ZM31.692 27.815a1.64 1.64 0 0 0-.738.185c-1.292.738-2.216 2.215-2.216 3.815 0 .8.677 1.477 1.477 1.477.247 0 .554-.061.739-.184 1.292-.739 2.215-2.216 2.215-3.816 0-.8-.677-1.477-1.477-1.477Z"
        fill="#57617F"
      />
      <path
        d="M36.739 21.292c-.37-.184-1.354-.615-1.724-.554-.246 0-.492.308-.615.677-.185.062-.492.185-.492.308 0 .185.369.308.554.308.061.123.184.184.307.246.185.061 1.662.307 2.031-.062.43-.43.308-.738-.061-.923Z"
        fill="#EF3F54"
      />
      <path
        d="M9.723 33.046h3.939c.246 0 .369.246.246.493l-.985 1.723c-.123.184-.307.307-.492.307H8.492c-.246 0-.369-.246-.246-.492l.985-1.723c.123-.184.308-.308.492-.308Z"
        fill="#FDFDFD"
      />
    </g>
  </svg>
)

export default IconDamage
